"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const react_1 = __importDefault(require("react"));
const react_native_1 = require("react-native");
const theme_1 = require("../../components/Styles/theme");
const CellGroup = props => {
    const { title, backgroundColor = theme_1.Theme.fillBody, style, children, ...rest } = props;
    return (react_1.default.createElement(react_native_1.View, null,
        !!title && (react_1.default.createElement(react_native_1.View, Object.assign({ style: [styles.title, { backgroundColor }, style] }, rest),
            react_1.default.createElement(react_native_1.Text, { style: styles.titleText }, title))),
        children));
};
const styles = react_native_1.StyleSheet.create({
    title: {
        paddingHorizontal: 15,
        justifyContent: 'center',
        height: 40,
    },
    titleText: {
        fontSize: 16,
        color: theme_1.Theme.colorTextGray,
    },
});
exports.default = CellGroup;
