"use strict";
var __createBinding = (this && this.__createBinding) || (Object.create ? (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    Object.defineProperty(o, k2, { enumerable: true, get: function() { return m[k]; } });
}) : (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    o[k2] = m[k];
}));
var __setModuleDefault = (this && this.__setModuleDefault) || (Object.create ? (function(o, v) {
    Object.defineProperty(o, "default", { enumerable: true, value: v });
}) : function(o, v) {
    o["default"] = v;
});
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (k !== "default" && Object.hasOwnProperty.call(mod, k)) __createBinding(result, mod, k);
    __setModuleDefault(result, mod);
    return result;
};
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const react_1 = __importStar(require("react"));
const react_native_1 = require("react-native");
const Popup_1 = __importDefault(require("../Popup"));
const theme_1 = require("../Styles/theme");
const Touchable_1 = __importDefault(require("../Touchable"));
const pickerView_1 = __importDefault(require("./pickerView"));
const Picker = props => {
    const { visible = false, barStyle = 'dark-content', dataSource, selectedIndex, itemHeight = 40, showToolbar = true, title, cancelText = '取消', cancelColor, confirmText = '确定', confirmColor, closeOnClickOverlay = false, onClose, onChange, onConfirm, } = props;
    const indexList = react_1.useRef(selectedIndex);
    return (react_1.default.createElement(Popup_1.default, { visible: visible, barStyle: barStyle, closeOnClickOverlay: closeOnClickOverlay, onClose: onClose },
        react_1.default.createElement(react_native_1.View, { style: styles.container },
            showToolbar && (react_1.default.createElement(react_native_1.View, { style: styles.toolbar },
                react_1.default.createElement(Touchable_1.default, { onPress: onClose },
                    react_1.default.createElement(react_native_1.Text, { style: [styles.toolbarText, cancelColor ? { color: cancelColor } : {}] }, cancelText)),
                !!title && react_1.default.createElement(react_native_1.Text, { style: styles.toolbarText }, title),
                react_1.default.createElement(Touchable_1.default, { onPress: () => {
                        onConfirm && onConfirm(indexList.current);
                        onClose && onClose();
                    } },
                    react_1.default.createElement(react_native_1.Text, { style: [styles.toolbarText, styles.confirmText, confirmColor ? { color: confirmColor } : {}] }, confirmText)))),
            react_1.default.createElement(pickerView_1.default, { dataSource: dataSource, selectedIndex: selectedIndex, itemHeight: itemHeight, onChange: data => {
                    indexList.current = data;
                    onChange && onChange(data);
                } }))));
};
const styles = react_native_1.StyleSheet.create({
    container: {
        backgroundColor: '#fff',
    },
    toolbar: {
        flexDirection: 'row',
        justifyContent: 'space-between',
        alignItems: 'center',
        paddingHorizontal: theme_1.Theme.hSpacingLg,
        paddingVertical: theme_1.Theme.vSpacingMd,
    },
    toolbarText: {
        fontSize: theme_1.Theme.fontSizeCaption,
        color: theme_1.Theme.colorTextGray,
    },
    confirmText: {
        color: theme_1.Theme.brandPrimaryTap,
    },
});
exports.default = Picker;
