"use strict";
var __createBinding = (this && this.__createBinding) || (Object.create ? (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    Object.defineProperty(o, k2, { enumerable: true, get: function() { return m[k]; } });
}) : (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    o[k2] = m[k];
}));
var __setModuleDefault = (this && this.__setModuleDefault) || (Object.create ? (function(o, v) {
    Object.defineProperty(o, "default", { enumerable: true, value: v });
}) : function(o, v) {
    o["default"] = v;
});
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (k !== "default" && Object.hasOwnProperty.call(mod, k)) __createBinding(result, mod, k);
    __setModuleDefault(result, mod);
    return result;
};
Object.defineProperty(exports, "__esModule", { value: true });
const react_1 = __importStar(require("react"));
const react_native_1 = require("react-native");
const theme_1 = require("../Styles/theme");
const { height: WINDOW_HEIGHT } = react_native_1.Dimensions.get('window');
const SCREEN_HEIGHT = WINDOW_HEIGHT + (react_native_1.StatusBar.currentHeight || 0);
const Popup = props => {
    const { onClose, children, visible, closeOnClickOverlay = false, barStyle = 'dark-content' } = props;
    const slideAnim = react_1.useRef(new react_native_1.Animated.Value(SCREEN_HEIGHT)).current;
    react_1.useEffect(() => {
        if (visible) {
            react_native_1.Animated.timing(slideAnim, {
                toValue: 0,
                duration: 700,
                useNativeDriver: false,
            }).start();
        }
        else {
            react_native_1.Animated.timing(slideAnim, {
                toValue: SCREEN_HEIGHT,
                duration: 700,
                useNativeDriver: false,
            }).start();
        }
        // eslint-disable-next-line react-hooks/exhaustive-deps
    }, [visible]);
    return (react_1.default.createElement(react_native_1.Modal, { transparent: true, statusBarTranslucent: true, hardwareAccelerated: true, visible: visible, animationType: "fade", onRequestClose: onClose },
        react_1.default.createElement(react_native_1.StatusBar, { barStyle: barStyle }),
        react_1.default.createElement(react_native_1.View, { style: styles.container },
            react_1.default.createElement(react_native_1.Animated.View, { style: [styles.animate, { top: slideAnim }] },
                react_1.default.createElement(react_native_1.Pressable, { style: styles.mask, onPress: closeOnClickOverlay ? onClose : undefined }),
                react_1.default.createElement(react_native_1.View, { style: styles.content }, children)))));
};
const styles = react_native_1.StyleSheet.create({
    container: {
        flex: 1,
        backgroundColor: theme_1.Theme.fillMask,
    },
    animate: {
        position: 'absolute',
        left: 0,
        right: 0,
        bottom: 0,
    },
    mask: {
        flex: 1,
    },
    content: {},
});
exports.default = Popup;
