"use strict";
var __createBinding = (this && this.__createBinding) || (Object.create ? (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    Object.defineProperty(o, k2, { enumerable: true, get: function() { return m[k]; } });
}) : (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    o[k2] = m[k];
}));
var __setModuleDefault = (this && this.__setModuleDefault) || (Object.create ? (function(o, v) {
    Object.defineProperty(o, "default", { enumerable: true, value: v });
}) : function(o, v) {
    o["default"] = v;
});
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (k !== "default" && Object.hasOwnProperty.call(mod, k)) __createBinding(result, mod, k);
    __setModuleDefault(result, mod);
    return result;
};
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const react_1 = __importStar(require("react"));
const react_native_1 = require("react-native");
const theme_1 = require("../../components/Styles/theme");
const Icon_1 = __importDefault(require("../Icon"));
const Spin = props => {
    const { style, color = theme_1.Theme.brandPrimary, size = 30, spinning = true } = props;
    const rotateAnim = react_1.useRef(new react_native_1.Animated.Value(0)).current;
    react_1.useEffect(() => {
        rotate(spinning);
        // eslint-disable-next-line react-hooks/exhaustive-deps
    }, [spinning]);
    const rotate = (run) => {
        const animation = react_native_1.Animated.timing(rotateAnim, {
            toValue: 1,
            duration: 1000,
            useNativeDriver: false,
            easing: react_native_1.Easing.linear,
        });
        const loop = react_native_1.Animated.loop(animation, {
            iterations: -1,
        });
        if (run) {
            loop.start();
        }
        else {
            loop.stop();
        }
    };
    const spin = rotateAnim.interpolate({
        inputRange: [0, 1],
        outputRange: ['0deg', '360deg'],
    });
    return (react_1.default.createElement(react_native_1.Animated.View, { style: { width: size, height: size, transform: [{ rotate: spin }] } },
        react_1.default.createElement(Icon_1.default, { name: "loading", size: size, color: color, style: style })));
};
exports.default = Spin;
