import React, { useState } from 'react';
import { View, StyleSheet } from 'react-native';
import Anchor from './anchor';
import List from './list';
const getIndexList = () => {
    const indexList = [];
    const charCodeOfA = 'A'.charCodeAt(0);
    for (let i = 0; i < 26; i++) {
        indexList.push(String.fromCharCode(charCodeOfA + i));
    }
    return indexList;
};
const defaultIndexList = getIndexList();
function IndexList(props) {
    const { indexList = defaultIndexList, dataList, renderItem } = props;
    const [stickyIndex, setStickyIndex] = useState(-1);
    const [keyIndex, setKeyIndex] = useState(-1);
    return (React.createElement(View, { style: styles.container },
        React.createElement(List, { indexList: indexList, dataList: dataList, activeStickyIndex: stickyIndex, renderItem: renderItem, onKeyIndexChange: setKeyIndex }),
        React.createElement(Anchor, { indexList: indexList, keyIndex: keyIndex, onChangeIndex: i => setStickyIndex(i) })));
}
const styles = StyleSheet.create({
    container: {
        flex: 1,
    },
});
export default IndexList;
